[SOLUCIÓN] Problema "lwjgl" Blocks that Matter Linux


Ayer me descargué el demo de un juego bastante entretenido llamado "Blocks that Matter", EL problema es que cuando lo quise correr en mi Fedora 16, me salió el siguiente Log de Error:

Exception in thread "main" java.lang.UnsatisfiedLinkError: no lwjgl in java.library.path
 at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1860)
 at java.lang.Runtime.loadLibrary0(Runtime.java:845)
 at java.lang.System.loadLibrary(System.java:1084)
 at org.lwjgl.Sys$1.run(Sys.java:73)
 at java.security.AccessController.doPrivileged(Native Method)
 at org.lwjgl.Sys.doLoadLibrary(Sys.java:66)
 at org.lwjgl.Sys.loadLibrary(Sys.java:82)
 at org.lwjgl.Sys.<clinit>(Sys.java:99)
 at org.lwjgl.util.Timer.<clinit>(Timer.java:50)
 at Microsoft.Xna.Framework.Game.<init>(Game.java:19)
 at org.flixel.FlxFactory.<init>(FlxFactory.java:67)
 at SSS.BTM.Main.BlocksThatMatterDemo.main(BlocksThatMatterDemo.java:13)

Estuve investigando, y si a alguien le sucede lo mismo la solución es agregar éstas 2 líneas (así como se ven en el ejemplo) a su archivo "launch.sh" según su arquitectura:

#64 Bits

cd ruta/a/blocks-that-matter

export LD_LIBRARY_PATH="/usr/java/jre1.7.0_01/lib/amd64"

#32 Bits

cd ruta/a/blocks-that-matter

export LD_LIBRARY_PATH="/usr/java/jre1.7.0_01/lib/i386"

(Asumiendo que tengan la versión 1.7.0_01 de Oracle Java instalada en el sistema) de manera que quede algo así:


Lo guardan y ahora sí, cuando le den doble click a "launch.sh", el script ejecutable arrancará el juego sin chistar. Dependiendo su versión de Java (e incluso quizá distro) la ruta que tenemos que declarar en la segunda línea quizá cambie, pero sólo es cosa de buscar un poco, a fin de cuentas el juego sólo corre con el Java de Oracle y las rutas de insralación y su nomenclatura son muy similares en todos los casos.

Nos vemos!